<?php

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'AuthController::login'); // Mengarahkan route utama ke login
$routes->get('/logout', 'AuthController::logout');
$routes->get('/login', 'AuthController::login');         // Menampilkan form login
$routes->post('/loginProcess', 'AuthController::loginProcess'); // Menangani proses login

$routes->get('/auth/updatePassword', 'AuthController::updatePassword');
$routes->post('/auth/updatePassword', 'AuthController::updatePassword');



$routes->get('/dashboard', 'DashboardController::index', ['filter' => 'auth']);

$routes->group('setting', ['filter' => 'auth'], function ($routes) {
    $routes->get('', 'SettingController::index');
    $routes->post('update', 'SettingController::update');
});

$routes->group('konsumen', ['filter' => 'auth'], function ($routes) {
    // Rute untuk Konsumen
    $routes->get('', 'KonsumenController::index');
    $routes->get('getData', 'KonsumenController::getData');
    $routes->post('add', 'KonsumenController::add');
    $routes->get('edit/(:num)', 'KonsumenController::edit/$1');
    $routes->post('update', 'KonsumenController::update');
    $routes->delete('delete/(:num)', 'KonsumenController::delete/$1');
    // Rute untuk Ekspor dan Impor Konsumen
    $routes->get('export', 'KonsumenController::export');  // Ekspor data konsumen
    $routes->get('import', 'KonsumenController::importPage');  // Menampilkan halaman import
    $routes->post('import', 'KonsumenController::import');  // Memproses file Excel untuk import
    $routes->get('sendAll', 'KonsumenController::sendAll');

});

$routes->group('kirim_pesan', ['filter' => 'auth'], function ($routes) {
    // Rute untuk Kirim Pesan
    $routes->get('', 'KirimPesanController::index');
    $routes->post('send', 'KirimPesanController::send');
});

