<?php

namespace App\Controllers;

use App\Models\SettingModel;

class SettingController extends BaseController
{
    public function index()
    {
        $settingModel = new SettingModel();

        // Ambil token dari database dengan id = 1
        $setting = $settingModel->find(1);

        // Kirim token dan pesan alert ke view setting
        return view('setting', [
            'token' => $setting['token'],
            'success' => session()->getFlashdata('success'),
            'error' => session()->getFlashdata('error')
        ]);
    }

    public function update()
    {
        $settingModel = new SettingModel();

        // Ambil token dari input
        $newToken = $this->request->getPost('token');

        try {
            // Update token di database untuk id = 1
            $settingModel->update(1, ['token' => $newToken]);

            // Set flashdata sukses
            session()->setFlashdata('success', 'Token berhasil diperbarui.');
        } catch (\Exception $e) {
            // Set flashdata error jika gagal
            session()->setFlashdata('error', 'Gagal memperbarui token.');
        }

        // Redirect kembali ke halaman setting setelah update
        return redirect()->to('/setting');
    }
}
