<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard</title>
    <!-- Tambahkan Bootstrap 5 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        body {
            margin: 0;
            padding: 0;
            height: 100vh;
            width: 100vw;
            overflow-x: hidden;
        }

        /* Sidebar untuk desktop */
        .sidebar {
            height: 100vh;
            width: 20%;
            /* 20% dari lebar layar */
            position: fixed;
            left: 0;
            top: 0;
            padding-top: 60px;
            transition: all 0.3s;
            background-color: #f8f9fa;
        }

        /* Sembunyikan sidebar di desktop */
        .sidebar.hidden {
            left: -100%;
            /* Sembunyikan sidebar dengan keluar dari layar */
        }

        /* Konten utama */
        .content {
            margin-left: 20%;
            width: 80%;
            padding: 20px;
            padding-top: 80px;
            transition: margin-left 0.3s, width 0.3s;
        }

        /* Saat sidebar disembunyikan di desktop */
        .content.full-width {
            margin-left: 0;
            width: 100%;
        }

        .navbar {
            z-index: 1030;
            width: 100%;
            position: fixed;
            top: 0;
        }

        /* Responsiveness: Mobile */
        @media (max-width: 768px) {
            .sidebar {
                position: fixed;
                top: 60px;
                /* Agar tidak menutupi header */
                left: -100%;
                /* Sembunyikan sidebar secara default */
                width: 100%;
                height: calc(100vh - 60px);
                /* Sesuaikan tinggi sidebar di bawah header */
                z-index: 1050;
                transition: left 0.3s;
            }

            .sidebar.show {
                left: 0;
            }

            .content {
                margin-left: 0;
                width: 100%;
                padding-top: 80px;
            }

            .navbar {
                width: 100%;
                /* Pastikan header lebar penuh */
            }

            .toggle-sidebar-btn {
                display: block;
                position: absolute;
                top: 15px;
                right: 15px;
            }
        }

        .toggle-sidebar-btn {
            cursor: pointer;
        }
    </style>
</head>

<body>

    <!-- Header -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">Aplikasi Dashboard</a>
            <button class="navbar-toggler" type="button" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <!-- Tombol Minimize Sidebar -->
            <div class="ms-auto">
                <span class="navbar-text toggle-sidebar-btn text-white" onclick="toggleSidebar()">&#9776;</span>
            </div>
        </div>
    </nav>

    <!-- Sidebar -->
    <div id="sidebar" class="sidebar bg-light">
        <ul class="nav flex-column">
            <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="/dashboard">
                    <i class="bi bi-house"></i> <span>Dashboard</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/kirim_pesan">
                    <i class="bi bi-person"></i> <span>Kirim Pesan</span>
                </a>
            </li>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/konsumen">
                    <i class="bi bi-person"></i> <span>Konsumen</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/setting">
                    <i class="bi bi-gear"></i> <span>Settings</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">
                    <i class="bi bi-box-arrow-right"></i> <span>Logout</span>
                </a>
            </li>
        </ul>
    </div>

    <!-- Konten Utama -->
    <div id="content" class="content">
        <h1>Selamat Datang di Dashboard</h1>
        <p>Ini adalah area konten utama dashboard. Anda bisa menambahkan konten sesuai kebutuhan.</p>
        <!-- Contoh Konten Tambahan -->
        <!-- <div class="row">
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Card Title 1</h5>
                        <p class="card-text">Informasi singkat tentang fitur atau statistik.</p>
                        <a href="#" class="btn btn-primary">Detail</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Card Title 2</h5>
                        <p class="card-text">Informasi singkat tentang fitur atau statistik.</p>
                        <a href="#" class="btn btn-primary">Detail</a>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Card Title 3</h5>
                        <p class="card-text">Informasi singkat tentang fitur atau statistik.</p>
                        <a href="#" class="btn btn-primary">Detail</a>
                    </div>
                </div>
            </div>
        </div> -->
    </div>

    <!-- Tambahkan Bootstrap 5 JS dan Popper.js -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Script untuk toggle sidebar -->
    <script>
        function toggleSidebar() {
            var sidebar = document.getElementById('sidebar');
            var content = document.getElementById('content');

            // Mobile: Tampilkan sidebar di bawah header
            if (window.innerWidth <= 768) {
                sidebar.classList.toggle('show');
            }
            // Desktop: Sembunyikan atau tampilkan sidebar
            else {
                sidebar.classList.toggle('hidden');
                content.classList.toggle('full-width');
            }
        }

        // Atur sidebar untuk muncul kembali saat berpindah dari mobile ke desktop
        window.addEventListener('resize', function () {
            var sidebar = document.getElementById('sidebar');
            var content = document.getElementById('content');
            if (window.innerWidth > 768) {
                sidebar.classList.remove('show'); // Pastikan sidebar tampil normal di desktop
                sidebar.classList.remove('hidden'); // Pastikan sidebar ditampilkan di desktop
                content.classList.remove('full-width'); // Pastikan konten kembali ke lebar normal
            }
        });
    </script>
</body>

</html>