<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Data Konsumen</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap5.min.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/dataTables.bootstrap5.min.js"></script>
    <style>
        body {
            margin: 0;
            padding: 0;
            height: 100vh;
            width: 100vw;
            overflow-x: hidden;
        }

        .sidebar {
            height: 100vh;
            width: 20%;
            position: fixed;
            left: 0;
            top: 0;
            padding-top: 60px;
            transition: all 0.3s;
            background-color: #f8f9fa;
        }

        .sidebar.hidden {
            left: -100%;
        }

        .content {
            margin-left: 20%;
            width: 80%;
            padding: 20px;
            padding-top: 80px;
            transition: margin-left 0.3s, width 0.3s;
        }

        .content.full-width {
            margin-left: 0;
            width: 100%;
        }

        .navbar {
            z-index: 1030;
            width: 100%;
            position: fixed;
            top: 0;
        }

        @media (max-width: 768px) {
            .sidebar {
                position: fixed;
                top: 60px;
                left: -100%;
                width: 100%;
                height: calc(100vh - 60px);
                z-index: 1050;
                transition: left 0.3s;
            }

            .sidebar.show {
                left: 0;
            }

            .content {
                margin-left: 0;
                width: 100%;
                padding-top: 80px;
            }

            .navbar {
                width: 100%;
            }

            .toggle-sidebar-btn {
                display: block;
                position: absolute;
                top: 15px;
                right: 15px;
            }
        }

        .toggle-sidebar-btn {
            cursor: pointer;
        }
    </style>
</head>

<body>

    <!-- Header -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">Aplikasi Dashboard</a>
            <button class="navbar-toggler" type="button" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <!-- Tombol Minimize Sidebar -->
            <div class="ms-auto">
                <span class="navbar-text toggle-sidebar-btn text-white" onclick="toggleSidebar()">&#9776;</span>
            </div>
        </div>
    </nav>

    <!-- Sidebar -->
    <div id="sidebar" class="sidebar bg-light">
        <ul class="nav flex-column">
            <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="/dashboard">
                    <i class="bi bi-house"></i> <span>Dashboard</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/kirim_pesan">
                    <i class="bi bi-person"></i> <span>Kirim Pesan</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/konsumen">
                    <i class="bi bi-person"></i> <span>Konsumen</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/setting">
                    <i class="bi bi-gear"></i> <span>Settings</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">
                    <i class="bi bi-box-arrow-right"></i> <span>Logout</span>
                </a>
            </li>
        </ul>
    </div>

    <!-- Konten Utama -->
    <div id="content" class="content">
        <h1>Data Konsumen</h1>

        <!-- Menampilkan Alert Flashdata -->
        <?php if (session()->getFlashdata('success')): ?>
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                <?= session()->getFlashdata('success') ?>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        <?php endif; ?>

        <?php if (session()->getFlashdata('error')): ?>
            <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <?= session()->getFlashdata('error') ?>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        <?php endif; ?>

        <!-- Tombol Tambah Konsumen dan Export Excel -->
        <div class="mb-3 d-flex">
            <button type="button" class="btn btn-light me-2" data-bs-toggle="modal" data-bs-target="#addModal">
                Tambah Konsumen
            </button>
            <a href="/konsumen/export" class="btn btn-light me-2">Export Excel</a>
            <a href="/konsumen/import" class="btn btn-light me-2">Import Excel</a>
            <!-- Tambahan tombol Download Template -->
            <a href="<?= base_url('template.xlsx') ?>" class="btn btn-light me-2">Download Template</a>
            <a href="/konsumen/sendAll" class="btn btn-light me-2">Kirim Pesan Masal</a>


        </div>

        <table id="konsumenTable" class="table table-bordered table-striped">
            <thead>
                <tr>
                    <th style="width:20px;">ID</th>
                    <th>Nomor HP</th>
                    <th>Pesan</th>
                    <th>Aksi</th>
                </tr>
            </thead>
            <tbody>
                <!-- Data akan diisi oleh AJAX -->
            </tbody>
        </table>
    </div>

    <!-- Modal Tambah Konsumen -->
    <div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="addModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addModalLabel">Tambah Konsumen</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="addForm">
                        <div class="mb-3">
                            <label for="nomor_hp" class="form-label">Nomor HP</label>
                            <input type="text" class="form-control" id="nomor_hp" name="nomor_hp" required>
                        </div>
                        <div class="mb-3">
                            <label for="pesan" class="form-label">Pesan</label>
                            <textarea class="form-control" id="pesan" name="pesan" required></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary">Simpan</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Edit Konsumen -->
    <div class="modal fade" id="editModal" tabindex="-1" aria-labelledby="editModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="editModalLabel">Edit Konsumen</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="editForm">
                        <input type="hidden" id="edit_idkonsumen" name="idkonsumen">
                        <div class="mb-3">
                            <label for="edit_nomor_hp" class="form-label">Nomor HP</label>
                            <input type="text" class="form-control" id="edit_nomor_hp" name="nomor_hp" required>
                        </div>
                        <div class="mb-3">
                            <label for="edit_pesan" class="form-label">Pesan</label>
                            <textarea class="form-control" id="edit_pesan" name="pesan" required></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary">Simpan Perubahan</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        // Menampilkan data konsumen menggunakan AJAX
        function loadKonsumenData() {
            $.ajax({
                url: '/konsumen/getData', // Route untuk mengambil data konsumen
                type: 'GET',
                dataType: 'json',
                success: function (data) {
                    var table = $('#konsumenTable').DataTable();
                    table.clear();
                    $.each(data, function (index, item) {
                        table.row.add([
                            item.idkonsumen,
                            item.nomor_hp,
                            item.pesan,
                            `<button class="btn btn-warning btn-sm" onclick="editKonsumen(${item.idkonsumen})">Edit</button>
                             <button class="btn btn-danger btn-sm" onclick="deleteKonsumen(${item.idkonsumen})">Hapus</button>`
                        ]).draw(false);
                    });
                }
            });
        }

        // Tambah Konsumen
        $('#addForm').submit(function (event) {
            event.preventDefault();
            var formData = $(this).serialize();
            $.ajax({
                url: '/konsumen/add',
                type: 'POST',
                data: formData,
                success: function (response) {
                    $('#addModal').modal('hide');
                    loadKonsumenData();
                    alertFlash('Data konsumen berhasil ditambahkan', 'success');
                }
            });
        });

        // Edit Konsumen (Ambil data untuk di-edit)
        function editKonsumen(idkonsumen) {
            $.ajax({
                url: `/konsumen/edit/${idkonsumen}`,
                type: 'GET',
                success: function (data) {
                    $('#edit_idkonsumen').val(data.idkonsumen);
                    $('#edit_nomor_hp').val(data.nomor_hp);
                    $('#edit_pesan').val(data.pesan);
                    $('#editModal').modal('show');
                }
            });
        }

        // Simpan perubahan pada Konsumen yang di-edit
        $('#editForm').submit(function (event) {
            event.preventDefault();
            var formData = $(this).serialize();
            $.ajax({
                url: '/konsumen/update',
                type: 'POST',
                data: formData,
                success: function (response) {
                    $('#editModal').modal('hide');
                    loadKonsumenData();
                    alertFlash('Data konsumen berhasil diperbarui', 'success');
                }
            });
        });

        // Hapus Konsumen
        function deleteKonsumen(idkonsumen) {
            if (confirm('Apakah Anda yakin ingin menghapus konsumen ini?')) {
                $.ajax({
                    url: `/konsumen/delete/${idkonsumen}`,
                    type: 'DELETE',
                    success: function (response) {
                        loadKonsumenData();
                        alertFlash('Data konsumen berhasil dihapus', 'success');
                    }
                });
            }
        }

        // Inisialisasi DataTable
        $(document).ready(function () {
            $('#konsumenTable').DataTable();
            loadKonsumenData();

            // Menghilangkan flash alert secara otomatis setelah 5 detik
            setTimeout(function () {
                $('.alert').fadeOut('slow', function () {
                    $(this).remove();  // Menghapus elemen flash dari DOM
                });
            }, 3000);  // 3000 milidetik = 3 detik
        });

        // Function untuk menampilkan flash alert
        function alertFlash(message, type) {
            var alertBox = '<div class="alert alert-' + type + '">' + message + '</div>';
            $('#content').prepend(alertBox);
            setTimeout(function () {
                $('.alert').fadeOut('slow', function () {
                    $(this).remove();
                });
            }, 3000);
        }
    </script>

    <script>
        function toggleSidebar() {
            var sidebar = document.getElementById('sidebar');
            var content = document.getElementById('content');

            if (window.innerWidth <= 768) {
                sidebar.classList.toggle('show'); // Tampilkan sidebar di bawah header pada tampilan mobile
            } else {
                sidebar.classList.toggle('hidden'); // Sembunyikan sidebar di desktop
                content.classList.toggle('full-width'); // Lebar penuh pada konten utama jika sidebar disembunyikan
            }
        }

        // Atur sidebar untuk muncul kembali saat berpindah dari mobile ke desktop
        window.addEventListener('resize', function () {
            var sidebar = document.getElementById('sidebar');
            var content = document.getElementById('content');
            if (window.innerWidth > 768) {
                sidebar.classList.remove('show'); // Pastikan sidebar tampil normal di desktop
                sidebar.classList.remove('hidden'); // Pastikan sidebar ditampilkan di desktop
                content.classList.remove('full-width'); // Pastikan konten kembali ke lebar normal
            }
        });


    </script>

</body>

</html>