<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Kirim Pesan</title>

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <!-- Select2 CSS -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0-beta.1/css/select2.min.css" rel="stylesheet" />

    <!-- Select2 JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0-beta.1/js/select2.min.js"></script>

    <style>
        /* Sidebar untuk desktop */
        .sidebar {
            height: 100vh;
            width: 20%;
            position: fixed;
            left: 0;
            top: 0;
            padding-top: 60px;
            transition: all 0.3s;
            background-color: #f8f9fa;
        }

        /* Sembunyikan sidebar di desktop */
        .sidebar.hidden {
            left: -100%;
        }

        /* Konten utama */
        .content {
            margin-left: 20%;
            width: 80%;
            padding: 20px;
            padding-top: 80px;
            transition: margin-left 0.3s, width 0.3s;
        }

        /* Saat sidebar disembunyikan di desktop */
        .content.full-width {
            margin-left: 0;
            width: 100%;
        }

        /* Responsiveness: Mobile */
        @media (max-width: 768px) {
            .sidebar {
                position: fixed;
                top: 60px;
                left: -100%;
                width: 100%;
                height: calc(100vh - 60px);
                transition: left 0.3s;
                z-index: 1050;
            }

            .sidebar.show {
                left: 0;
            }

            .content {
                margin-left: 0;
                width: 100%;
                padding-top: 80px;
            }

            .navbar {
                width: 100%;
            }

            .toggle-sidebar-btn {
                display: block;
                position: absolute;
                top: 15px;
                right: 15px;
                cursor: pointer;
            }
        }

        .toggle-sidebar-btn {
            cursor: pointer;
        }
    </style>
</head>

<body>

    <!-- Header -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">Aplikasi Dashboard</a>
            <button class="navbar-toggler" type="button" aria-expanded="false" aria-label="Toggle navigation"
                onclick="toggleSidebar()">
                <span class="navbar-toggler-icon"></span>
            </button>
            <!-- Tombol Minimize Sidebar -->
            <div class="ms-auto">
                <span class="navbar-text toggle-sidebar-btn text-white" onclick="toggleSidebar()">&#9776;</span>
            </div>
        </div>
    </nav>

    <!-- Sidebar -->
    <div id="sidebar" class="sidebar bg-light">
        <ul class="nav flex-column">
            <li class="nav-item">
                <a class="nav-link" href="/dashboard">
                    <i class="bi bi-house"></i> <span>Dashboard</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link active" href="/kirim_pesan">
                    <i class="bi bi-person"></i> <span>Kirim Pesan</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/konsumen">
                    <i class="bi bi-person"></i> <span>Konsumen</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/setting">
                    <i class="bi bi-gear"></i> <span>Settings</span>
                </a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="/logout">
                    <i class="bi bi-box-arrow-right"></i> <span>Logout</span>
                </a>
            </li>
        </ul>
    </div>

    <!-- Konten Utama -->
    <div id="content" class="content">
        <div class="container">
            <h1>Kirim Pesan ke Konsumen</h1>

            <!-- Menampilkan Alert Flashdata -->
            <?php if (session()->getFlashdata('success')): ?>
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <?= session()->getFlashdata('success') ?>
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
            <?php endif; ?>

            <?php if (session()->getFlashdata('error')): ?>
                <div class="alert alert-danger alert-dismissible fade show" role="alert">
                    <?= session()->getFlashdata('error') ?>
                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                </div>
            <?php endif; ?>

            <!-- Form Kirim Pesan -->
            <form action="/kirim_pesan/send" method="post">

                <!-- Checkbox Kirim Masal -->
                <div class="form-check mb-3">
                    <input class="form-check-input" type="checkbox" value="" id="kirimMasal">
                    <label class="form-check-label" for="kirimMasal">
                        Kirim Masal (Kirim ke semua nomor HP)
                    </label>
                </div>

                <!-- Dropdown Pilih Nomor Konsumen -->
                <div class="form-group mb-3">
                    <label for="nomor_hp">Pilih Nomor Konsumen (Multiple)</label>
                    <select name="nomor_hp[]" id="nomor_hp" class="form-control" multiple required>
                        <?php foreach ($datakonsumen as $konsumen): ?>
                            <option value="<?= $konsumen['nomor_hp'] ?>"><?= $konsumen['nomor_hp'] ?></option>
                        <?php endforeach; ?>
                    </select>
                </div>

                <div class="form-group mb-3">
                    <label for="pesan">Pesan</label>
                    <textarea name="pesan" id="pesan" class="form-control" rows="5" required></textarea>
                </div>

                <button type="submit" class="btn btn-primary">Kirim Pesan</button>
            </form>
        </div>
    </div>

    <!-- Inisialisasi Select2 dan Kirim Masal -->
    <script>
        $(document).ready(function () {
            // Inisialisasi Select2
            $('#nomor_hp').select2({
                placeholder: "Pilih nomor konsumen",
                allowClear: true,
                width: '100%'  // Sesuaikan lebar dropdown
            });

            // Fungsi Kirim Masal
            $('#kirimMasal').change(function () {
                if ($(this).is(':checked')) {
                    // Jika checkbox dicentang, pilih semua nomor HP
                    $('#nomor_hp > option').prop("selected", true);
                    $('#nomor_hp').trigger('change');  // Perbarui Select2 agar pilihan ter-refleksikan
                } else {
                    // Jika checkbox tidak dicentang, hilangkan semua pilihan
                    $('#nomor_hp > option').prop("selected", false);
                    $('#nomor_hp').trigger('change');  // Perbarui Select2
                }
            });

            // Menghilangkan flash alert secara otomatis setelah 5 detik
            setTimeout(function () {
                $('.alert').fadeOut('slow', function () {
                    $(this).remove();  // Menghapus elemen flash dari DOM
                });
            }, 3000);  // 3000 milidetik = 3 detik
        });

        // Fungsi untuk toggle sidebar
        function toggleSidebar() {
            var sidebar = document.getElementById('sidebar');
            var content = document.getElementById('content');

            if (window.innerWidth <= 768) {
                sidebar.classList.toggle('show');
            } else {
                sidebar.classList.toggle('hidden');
                content.classList.toggle('full-width');
            }
        }

        // Atur sidebar untuk muncul kembali saat berpindah dari mobile ke desktop
        window.addEventListener('resize', function () {
            var sidebar = document.getElementById('sidebar');
            var content = document.getElementById('content');
            if (window.innerWidth > 768) {
                sidebar.classList.remove('show'); // Pastikan sidebar tampil normal di desktop
                sidebar.classList.remove('hidden'); // Pastikan sidebar ditampilkan di desktop
                content.classList.remove('full-width'); // Pastikan konten kembali ke lebar normal
            }
        });
    </script>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>